> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List a brokerage firm's payment methods with their documents

> Same payment methods as `GET /brokerage-firms/{brokerageFirmId}/payment-methods`, each with the documents attached to it.



## OpenAPI

````yaml /openapi.json get /brokerage-firms/{brokerageFirmId}/payment-methods/with-documents
openapi: 3.0.0
info:
  title: Korint API
  description: >-
    Quoting, policy issuance, billing, claims, documents and compliance for
    insurance distribution.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.korint.io
    description: Production
  - url: https://api.sandbox.korint.io
    description: Sandbox
security:
  - oauth2: []
  - bearerAuth: []
tags: []
paths:
  /brokerage-firms/{brokerageFirmId}/payment-methods/with-documents:
    get:
      tags:
        - payments
      summary: List a brokerage firm's payment methods with their documents
      description: >-
        Same payment methods as `GET
        /brokerage-firms/{brokerageFirmId}/payment-methods`, each with the
        documents attached to it.
      operationId: PaymentsReadsController_listBrokerageFirmPaymentMethodsWithDocuments
      parameters:
        - name: tenant
          in: header
          required: true
          description: Your tenant identifier. Requests without it are rejected.
          schema:
            type: string
        - name: brokerageFirmId
          required: true
          in: path
          schema:
            pattern: >-
              ^brokerage_firm(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$
            type: string
        - name: whenAt
          required: false
          in: query
          description: 'Optional: the whenAt datetime'
          schema:
            type: string
            format: date-time
        - name: simulatedAt
          required: false
          in: query
          description: 'Optional: the simulatedAt datetime'
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBrokerageFirmPaymentMethodsOutput'
components:
  schemas:
    ListBrokerageFirmPaymentMethodsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/PaymentMethodWithDocumentsDto'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    PaymentMethodWithDocumentsDto:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        type:
          type: string
        id:
          type: string
          description: the id of the payment method
        status:
          type: string
        createdAt:
          format: date-time
          type: string
          description: the date of creation of the stripe customer
        updatedAt:
          format: date-time
          type: string
          description: the date of creation of the stripe customer
        deletedAt:
          format: date-time
          type: string
          description: set when the payment method has been soft-deleted
        paymentMethodType:
          type: string
          description: the type of the payment method
          enum:
            - card
            - sepa_debit
        mandateDocumentId:
          type: string
          description: the document id of the mandate, if applicable
        last4:
          type: string
          description: the last 4 digits of the payment method, if applicable
        expirationMonth:
          type: number
          description: the expiration month of payment method, if applicable
        expirationYear:
          type: number
          description: the expiration year of payment method, if applicable
        billingDetails:
          description: the billing details of payment method, if applicable
          allOf:
            - $ref: '#/components/schemas/BillingDetails'
        isPreferred:
          type: boolean
          description: Is the preferred payment method
        documents:
          type: array
          items:
            $ref: '#/components/schemas/DocumentWithSignedUrl'
      required:
        - metadata
        - type
        - id
        - status
        - createdAt
        - updatedAt
        - paymentMethodType
        - isPreferred
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value
    BillingDetails:
      type: object
      properties:
        name:
          type: string
          description: the name of the billing details
        email:
          type: string
          description: the email of the billing details
        phone:
          type: string
          description: the phone of the billing details
        address:
          description: the address of the billing details
          allOf:
            - $ref: '#/components/schemas/BillingAddress'
      required:
        - name
        - email
        - phone
        - address
    DocumentWithSignedUrl:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        id:
          type: string
          description: the id of the document
        name:
          type: string
          description: the name of the document
        path:
          type: string
          description: the path from Korint CDNof the document
        createdAt:
          format: date-time
          type: string
          description: the date of creation of the document
        signedUrl:
          type: string
          description: the signed url to download the document
      required:
        - metadata
        - id
        - name
        - path
        - createdAt
        - signedUrl
    BillingAddress:
      type: object
      properties:
        city:
          type: string
          description: the city of the billing address
        country:
          type: string
          description: the country of the billing address
        line1:
          type: string
          description: the line1 of the billing address
        line2:
          type: string
          description: the line2 of the billing address
        postalCode:
          type: string
          description: the postal code of the billing address
        state:
          type: string
          description: the state of the billing address
      required:
        - city
        - country
        - line1
        - line2
        - postalCode
        - state
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://korint-tenant.auth.eu-west-3.amazoncognito.com/oauth2/token
          scopes:
            korint.io/account: Read account information
            korint.io/analytics: Access analytics endpoints
            korint.io/assets: Access asset endpoints
            korint.io/billing: Access billing endpoints
            korint.io/branches: Access branch endpoints
            korint.io/broker: Access broker endpoints
            korint.io/claims: Access claim endpoints
            korint.io/comments: Access comment endpoints
            korint.io/customers: Access customer endpoints
            korint.io/derogations: Access derogation endpoints
            korint.io/documents: Access document endpoints
            korint.io/external: Access external lookup endpoints
            korint.io/external-claims: Declare claims from an external system
            korint.io/internal-notes: Access internal note endpoints
            korint.io/invitations: Access invitation endpoints
            korint.io/payments: Access payment endpoints
            korint.io/permissions: Access permission management endpoints
            korint.io/policies: Access policy endpoints
            korint.io/quotes: Access quote endpoints
            korint.io/reportings: Access reporting endpoints
            korint.io/signature: Access signature endpoints
      description: >-
        Machine-to-machine clients use the OAuth 2.0 client credentials grant.
        Each tenant has its own authorization server: in the token URL below,
        replace `tenant` with your tenant identifier.
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: An access token obtained from your tenant authorization server.

````